%define module	CGI-XMLApplication
%define version 1.1.3
%define release %mkrel 2

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PH/PHISH/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/~phish/%{module}/
BuildRequires:	perl-devel perl-XML-LibXML perl-XML-LibXSLT
BuildRequires:  perl-CGI
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot/
BuildArch:	noarch

%description
%{module} module for perl
CGI::XMLApplication is a CGI application class, that intends to enable
perl artists to implement CGIs that make use of XML/XSLT
functionality, without taking too much care about specialized
errorchecking or even care too much about XML itself. It provides the
power of the XML::LibXML/ XML::LibXSLT module package for
content deliverment.

%prep
%setup -q -n %{module}-%{version}

%{__chmod} 644 Changes MANIFEST README

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes MANIFEST README examples/*
%{_mandir}/*/*
%{perl_vendorlib}/CGI/*


%changelog
* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.3-2mdk
 - buildrequires fix 

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 1.1.3-1mdk
- New release 1.1.3
- rpmbuildupdate aware
- add make test

* Thu Aug 28 2003 Franois Pons <fpons@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.1.1-4mdk
- macroize
- %%makeinstall-std
- remove automatically found requires

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-3mdk
- rebuild for new auto{prov,req}

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.1.1-2mdk
- rebuild for perl 5.8.0

* Mon Apr 15 2002 Philippe Libat <philippe@mandrakesoft.com> 1.1.1-1mdk
- initial RPM
